@echo off

if "%INFOHOME%" == "" (
   echo "Please set your %%INFOHOME%% enviromental variable."
   goto END
)

if NOT exist "%INFOHOME%/Universal.conf" (
   echo "%INFOHOME% is not a valid INFOHOME path."
   goto END
)

"%INFOHOME%\tools\jre\bin\java" -DINFOHOME=%INFOHOME% -classpath patch_util.jar PatchForApache -v patch-2.2.0.9-IF0006.tar.gz -n 2.2.0.9-IF0006 %1

IF ERRORLEVEL 1 goto END
set readme="2.2.0.9-TIV-NCReporter-Win-IF0006.README"
if "%1" == "rollback" (
   if exist "%INFOHOME%\%readme%" (
      del "%INFOHOME%\%readme%"
   )
) else (
   copy "%readme%" "%INFOHOME%\%readme%"
)

:END
